Subject: bug#46475: closed (Re: bug#46475: [core-updates] r-rda source checksum changed)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 13 Jul 2022 04:58:02 +0000

Your bug report

#46475: [core-updates] r-rda source checksum changed

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46475: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=46475
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#46475: [core-updates] r-rda source checksum changed
From: Maxim Cournoyer <[email-masked]>
To: Danny Milosavljevic <[email-masked]>
Cc: [email-masked]
Date: Wed, 13 Jul 2022 00:57:07 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Danny Milosavljevic <[email-masked]> writes:

> sha256 hash mismatch for /gnu/store/fb0rqvv38pf02qv3zjvjsindjdhlbpca-rda_1.0.2-2.1.tar.gz:
>   expected hash: 1y4fawslr3i6crjaxhsdb47kfsqkyszdx6avq3r5far5a4pvc639
>   actual hash:   17ll0idnms4bcpbl65xnl8zfnwsk9ww0rg5z8qqh4ahk5qdab8zf
> hash mismatch for store item '/gnu/store/fb0rqvv38pf02qv3zjvjsindjdhlbpca-rda_1.0.2-2.1.tar.gz'
> build of /gnu/store/2w1g7wxj2hzrhdf97k4rqc2yxhlgw9l3-rda_1.0.2-2.1.tar.gz.drv failed
> View build log at '/var/log/guix/drvs/2w/1g7wxj2hzrhdf97k4rqc2yxhlgw9l3-rda_1.0.2-2.1.tar.gz.drv.bz2'.
> cannot build derivation
> `/gnu/store/8ax6w1pwfxj9zbgazqbn06mbpk8036mq-r-rda-1.0.2-2.1.drv': 1
> dependencies couldn't be built
> guix build: error: build of `/gnu/store/8ax6w1pwfxj9zbgazqbn06mbpk8036mq-r-rda-1.0.2-2.1.drv' failed
>
> The one I got is attached.

This compares the cached current version on Berlin to what we can get
from the upstream mirrors:

--8<---------------cut here---------------start------------->8---
$ diffoscope /tmp/rda-{old,new}
--- /tmp/rda-old
+++ /tmp/rda-new
├── /gnu/store/8fpk2cja3f07xls48jfnpgrzrljpqivr-coreutils-8.32/bin/stat {}
│ @@ -1,8 +1,8 @@
│  
│    Size: 6            Blocks: 0          IO Block: 4096   directory
│  Links: 1
│  Access: (0755/drwxr-xr-x)  Uid: ( 1000/   maxim)   Gid: (  998/   users)
│  
│ -Modify: 2022-07-13 04:50:34.104198791 +0000
│ +Modify: 2022-07-13 04:51:12.931057710 +0000
│   --- /tmp/rda-old/rda
├── +++ /tmp/rda-new/rda
│ │   --- /tmp/rda-old/rda/DESCRIPTION
│ ├── +++ /tmp/rda-new/rda/DESCRIPTION
│ │ @@ -13,7 +13,9 @@
│ │  Packaged: 2018-07-21 16:59:24 UTC; hornik
│ │  Repository: CRAN
│ │  Date/Publication: 2018-07-21 17:12:01 UTC
│ │  NeedsCompilation: no
│ │  X-CRAN-Original-Maintainer: Rob Tibshirani <[email-masked]>
│ │  X-CRAN-Comment: Orphaned and corrected on 2018-07-21 as check problems
│ │          were not corrected despite reminders.
│ │ + .
│ │ + BioC:MLInterfaces depends on this
│ │ ├── /gnu/store/8fpk2cja3f07xls48jfnpgrzrljpqivr-coreutils-8.32/bin/stat {}
│ │ │ @@ -1,8 +1,8 @@
│ │ │  
│ │ │ +  Size: 784              Blocks: 8          IO Block: 4096   regular file
│ │ │ -  Size: 746              Blocks: 8          IO Block: 4096   regular file
│ │ │  Links: 1
│ │ │  Access: (0744/-rwxr--r--)  Uid: ( 1000/   maxim)   Gid: (  998/   users)
│ │ │  
│ │ │ +Modify: 2020-01-01 15:58:30.000000000 +0000
│ │ │ -Modify: 2018-07-21 17:12:01.000000000 +0000
│ │   --- /tmp/rda-old/rda/MD5
│ ├── +++ /tmp/rda-new/rda/MD5
│ │ @@ -1,8 +1,8 @@
│ │ +2a1d3c1ed3cac2196abc5a33b27b7639 *DESCRIPTION
│ │ -25d1293d678d5fbdf2bb20bf6fc64280 *DESCRIPTION
│ │  61ebf1914538b6254a39f161f286069f *INDEX
│ │  63d89739955fd7c7e2463bb9b8ad087c *NAMESPACE
│ │  bb8590ce1b9dc15b42c525b8be97a5f4 *R/Drda1.R
│ │  1e6e07bc792443fe556c47a670320f5f *R/balanced.folds.R
│ │  1110b77a1cd5a58e979bfd3273bec2ff *R/permute.rows.R
│ │  a2fa32b198ef8951453a8b6ebffd703c *R/print.rda.R
│ │  e26dd482f297c8fe9f63631a9adbf3db *R/print.rdacv.R
│ │ ├── /gnu/store/8fpk2cja3f07xls48jfnpgrzrljpqivr-coreutils-8.32/bin/stat {}
│ │ │ @@ -1,8 +1,8 @@
│ │ │  
│ │ │    Size: 1440             Blocks: 8          IO Block: 4096   regular file
│ │ │  Links: 1
│ │ │  Access: (0644/-rw-r--r--)  Uid: ( 1000/   maxim)   Gid: (  998/   users)
│ │ │  
│ │ │ +Modify: 2020-01-01 15:58:30.000000000 +0000
│ │ │ -Modify: 2018-07-21 17:12:01.000000000 +0000
--8<---------------cut here---------------end--------------->8---

So, they changed description text a tiny bit.  I've updated the hash in
Guix.

Closing.

Maxim

Subject: [core-updates] r-rda source checksum changed
From: Danny Milosavljevic <[email-masked]>
To: <[email-masked]>
Date: Sat, 13 Feb 2021 01:49:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

sha256 hash mismatch for /gnu/store/fb0rqvv38pf02qv3zjvjsindjdhlbpca-rda_1.0.2-2.1.tar.gz:
  expected hash: 1y4fawslr3i6crjaxhsdb47kfsqkyszdx6avq3r5far5a4pvc639
  actual hash:   17ll0idnms4bcpbl65xnl8zfnwsk9ww0rg5z8qqh4ahk5qdab8zf
hash mismatch for store item '/gnu/store/fb0rqvv38pf02qv3zjvjsindjdhlbpca-rda_1.0.2-2.1.tar.gz'
build of /gnu/store/2w1g7wxj2hzrhdf97k4rqc2yxhlgw9l3-rda_1.0.2-2.1.tar.gz.drv failed
View build log at '/var/log/guix/drvs/2w/1g7wxj2hzrhdf97k4rqc2yxhlgw9l3-rda_1.0.2-2.1.tar.gz.drv.bz2'.
cannot build derivation `/gnu/store/8ax6w1pwfxj9zbgazqbn06mbpk8036mq-r-rda-1.0.2-2.1.drv': 1 dependencies couldn't be built
guix build: error: build of `/gnu/store/8ax6w1pwfxj9zbgazqbn06mbpk8036mq-r-rda-1.0.2-2.1.drv' failed

The one I got is attached.